<!--
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages).

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages).
-->

The package helps present the user with a simple confirmation screen. It provides a simple math problem for the user to solve. Once solved it sends a confirmation callback which the integrating module can listen to.

## Usage

To use this package, add confirmation_screen as a dependency in your pubspec.yaml file.

```dart
ConfirmationScreen(
    confirmation: Confirmation(),
    onConfirmed: () {
        // handle confirmation
    }
)
```
