import 'dart:math';
import 'package:equatable/equatable.dart';

enum Operation { addition, subtraction, multiplication }

class Confirmation extends Equatable {
  late final Operation operation;
  late final int leftInput, rightInput;

  Confirmation() {
    var smaller = _random(1, 100);
    var bigger = _random(smaller, 100);
    int operationIndex = _random(0, 2);
    switch(operationIndex) {
      case 0:
        operation = Operation.addition;
        leftInput = bigger;
        rightInput = smaller;
        break;
      case 1:
        operation = Operation.subtraction;
        leftInput = bigger;
        rightInput = smaller;
        break;
      case 2:
        operation = Operation.multiplication;
        leftInput = bigger;
        rightInput = smaller;
        break;
    }
  }

  int _random(int min, int max) {
    return min + Random().nextInt(max - min);
  }

  @override
  List<Object?> get props => [operation, leftInput, rightInput];
}